import 'package:flutter/material.dart';
import 'package:latlong2/latlong.dart';
import 'package:flutter_map/flutter_map.dart';

import '../../consts.dart';
import '../data_classes.dart';

class OSM extends StatelessWidget {
  final List<Measurement> markerList;

  const OSM({
    Key? key,
    required this.markerList,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // Init list of polygons
    List<Polygon> polygons = [];

    return FlutterMap(
      options: MapOptions(
        bounds: LatLngBounds(
          LatLng(61.1947, 10.3491),
          LatLng(60.3592, 11.3805),
        ),
      ),
      children: [
        TileLayer(
          urlTemplate: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
          subdomains: const ['a', 'b', 'c'],
        ),
        PolygonLayer(
          polygons: polygons, // Return map with list of polygons included
        ),
      ],
    );
  }
}
